Bug 876387 (CVE-2012-4821)

Summary: CVE-2012-4821 IBM JDK: getDeclaredMethods() and setAccessible() code execution
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: dbhole, jlieskov, jvanek
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20121113,reported=20121113,source=internet,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.7.0-ibm=affected,rhel-6/java-1.7.0-ibm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-16 02:40:03 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 862579    

Description Vincent Danen 2012-11-13 19:43:17 EST
IBM Java could allow a remote attacker to execute arbitrary code on the system, caused by insecure use of the java.lang.Class getDeclaredMethods() and java.lang.reflect.AccessibleObject setAccessible() methods. By persuading a victim to visit a malicious Web site containing a specially-crafted applet, an attacker could exploit this vulnerability to bypass sandbox restrictions and execute arbitrary Java code.

External Reference:

http://xforce.iss.net/xforce/xfdb/78765
Comment 2 errata-xmlrpc 2012-11-15 16:09:56 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1467 https://rhn.redhat.com/errata/RHSA-2012-1467.html